<?php
if (!isset($_GET['chemin']) AND $_SERVER['SCRIPT_NAME'] === '/index.php') {
  header('Location: index.php?chemin=');
}

?>

<!DOCTYPE HTML>
<html lang="fr">
<head>

  <meta charset="UTF-8">

  <title>Super·F·lux<?php
  if (isset($_GET['chemin'])) {
    $nomDossiers = preg_split("#/#", $_GET['chemin']); // Sépare le chemin en une liste de dossiers qui le composent
    foreach ($nomDossiers as $niveauDossier => $nomDossier) {
      if (isset($nomDossier) AND !is_null($nomDossier) AND !$nomDossier == "") {
        echo " > " . $nomDossier;
      }
    }
  }
    ?></title>
  <meta name="author" content="Cécile Chevallier">
  <meta name="publisher" content="Antopie">
  <meta name="distribution" content="global">
  <meta name="robots" content="index, follow">
  <meta name="keywords" lang="fr" content="superflux, super·f·lux, cécile chevallier, site de photo libres">
  <meta name="description" content="Super·F·lux, photographies de Cécile Chevallier sous CC BY-SA 4.0">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php
  require "lessphp/lessc.inc.php";
  $less = new lessc;
  $less->setFormatter("compressed");
  $less->checkedCompile("style.less", "style.css");
  ?>
  <link type="text/css" rel="stylesheet" href="ubuntu/ubuntu.min.css" />
  <link type="text/css" rel="stylesheet" href="style.css" />

  <!-- Include Lightbox https://lokeshdhakar.com/projects/lightbox2/ -->
  <link href="lightbox/dist/css/lightbox.min.css" rel="stylesheet">
  <script src="lightbox/dist/js/lightbox-plus-jquery.min.js"></script>
  <script>
    lightbox.option({
      'resizeDuration': 0,
      'fadeDuration': 0,
      'imageFadeDuration': 0,
      'disableScrolling': true
    })
  </script>

</head>
<body>
<header>

  <h1><a href="index.php?chemin=" title="Retour à la page d'accueil">Super·F·lux</a></h1>

  <nav>

    <a class="elMenu" href="presentation.php"><div>Présentation</div></a>

    <a class="elMenu" href="index.php?chemin="><div>Accueil</div></a>

    <a class="elMenu" href="contact.php"><div>Me contacter</div></a>

  </nav>


  <?php
  if ($_SERVER['SCRIPT_NAME'] === '/index.php') {
      $nomDossiers = preg_split("#/#", $_GET['chemin']); // Sépare le chemin en une liste de dossiers qui le composent
     foreach ($nomDossiers as $niveauDossier => $nomDossier) { ?>
    <h<?php echo $niveauDossier + 2; ?>><a href="index.php?chemin=<?php

    if (array_key_last($nomDossiers) == $niveauDossier) {
      echo $_GET['chemin'];
    } else {
      echo rtrim(stristr($_GET['chemin'], $nomDossiers[$niveauDossier + 1], TRUE), "/");
    }

      ?>"><?php echo $nomDossier; ?></a></h<?php echo $niveauDossier + 2; ?>>

    <section id="presentation">
<?php
    switch ($nomDossier) {
      case "Escape games": ?>
        De ces instants qui échappent aux lois de la gravité, sortent du cadre ou des sentiers battus, changent de cap, là où on aperçoit enfin le bout du tunnel, là où on peut enfin prend l'air…
        <br>
        Ouverture des possibles.
      <?php break;

      case "Le chant du Petit": ?>
        Les petites choses chantent aussi.
      <?php break;


      case "Landscape games": ?>
        Lieux d’émergence des Escape games. Composés des mille et un chants du Petit.
      <?php break;

      case "Créatures fantastiques": ?>
        Je vais mieux quand d’un arbre émerge une grand-mère prenant soin d'une jeune touffe d'herbe, quand un oiseau apparaît dans une fleur, un visage sur un arbre, un dragon dans les nuages.
        <br>
        Je me sens vivante quand j'aperçois un coq émergeant d'une crotte de chien sur un trottoir, quand la fée des neiges apparaît à mon balcon, quand les ombres suggèrent peut-être des oiseaux végétaux, quand un visage surgit d'une feuille de chou.
      <?php break;

      case "s-Faire-s": ?>
        Au contraire du croisement de fer, ce qui croît quand on l's Faire (s) les sphères.
      <?php break;

      case "Super-Positions et autres Super-Cheries": ?>
        Montages et collages sous logiciel dédié (Photoshop, peintures)…
      <?php break;

      case "Traits de lumière": ?>
        Light-Painting, peindre avec la lumière, ou plutôt avec l’appareil-pinceau, puisque peindre avec la lumière est déjà l’objet de la photographie. Ces traits révèlent parfois des créatures fantastiques.
      <?php break;

      case "Aqua bon": ?>
        Lieu et source de vie par essence, mouvante, calme ou soulevée par la brise, l’eau est souvent le lieu de naissance de créatures fantastiques.
      <?php break;

      case "Forts Traits": ?>
        Portraits studio, cours municipaux pour adultes, 2015
      <?php break;

      case "": ?>

      Super·F·lux est une collection de perceptions lumineuses (lux) du monde tel que je (une ·F· Femme) l'aime (Super).


      <blockquote>

        « Je préfère vivre dans un monde animé. Je crois que nos chances de créer une culture plus saine, dynamique, libre et équilibrée sont meilleures si nous nous percevons nous-mêmes comme des cellules vivantes appartenant à un corps vivant, imprégné d’une conscience sous-jacente, plutôt que de percevoir le monde comme de la matière inanimée et exploitable. »
        <br>
        <div class="source"><cite><small>Starhawk, « Quel monde voulons-nous ? », éditions Cambourakis, collection Sorcières, 2019</small></cite></div>
      </blockquote>

      <br>
      <?php break;
    } ?>
</section>
<?php } ?>
    <?php } ?>
</header>
